<ion-header>
  <ion-toolbar #toolbar class='custom'>
    <!--    <ion-buttons slot='start'>
          <ion-back-button defaultHref='tabs/home'></ion-back-button>
        </ion-buttons>-->
<!--    <ion-title>{{ 'pratiche.title' | translate }}</ion-title>-->
    <!--    <ion-buttons slot="primary">
          <ion-button color="primary">
            <ion-icon slot="icon-only"  size='large' slot='end'
                      name="help-outline" class='custom'>
            </ion-icon>
          </ion-button>
        </ion-buttons>-->
  </ion-toolbar>
</ion-header>
<ion-content [fullscreen]="true" scrollEvents="true" [appHideHeader]="toolbar" class='custom'>
  <ion-grid>
    <ion-row>
    <header-logos class='w-100'></header-logos>
      <ion-col class='ion-padding-horizontal'>
        <ion-text size="large" color='dark'>
          <h1>{{ 'pratiche.title' | translate }}</h1>
        </ion-text>
      </ion-col>
    </ion-row>
  </ion-grid>
  <ion-segment (ionChange)='segmentChanged($event)' [(ngModel)]='type' mode='md'>
    <ion-segment-button value='highlights'>
      <ion-label>{{ 'pratiche.in_evidenzia' | translate }}</ion-label>
    </ion-segment-button>
    <ion-segment-button value='all'>
      <ion-label>{{ 'pratiche.tutte' | translate }}</ion-label>
    </ion-segment-button>
  </ion-segment>
  <div [ngSwitch]='type'>
    <div *ngSwitchCase="'highlights'">
      <ion-list lines='full' class='ion-padding-horizontal ion-padding-top' *ngIf='pratices'>
        <ion-item-group>
          <ion-item
            detail='true'
            *ngFor='let praticePending of praticesPending.data'
            (click)="openDetails('/pratice/'+praticePending.id,praticePending)">
            <ion-label class='ion-text-wrap mt-2'>
              <ion-text>
                <p style='position: absolute; right: 10px; top: 0'>
                  {{ 'common.del' | translate }} <b>{{praticePending.created_at | date:'dd/LL' }}</b>
                </p>
                <span *ngIf='!praticePending.service_group_name'>--</span>
                <h3 *ngIf='praticePending.service_group_name' class='pt-1'>
                  {{praticePending.service_group_name}}
                </h3>
                <h2 class='ion-padding-vertical'>{{praticePending.service_name}}</h2>
                <p>{{ 'pratiche.stato_della_pratica' | translate }} <br>
                  <ion-badge><b>{{praticePending.status | statusName }}</b>
                    <span
                    *ngIf='praticePending.meetings.length && praticePending.status == 2000'> <b> - {{ 'pratiche.in_attesa_di_approvazione' | translate }}</b></span>
                  </ion-badge>
                </p>
                <br>
                <p *ngIf='praticePending.data.calendar'>
                  <span *ngIf='praticePending.parse_data_calendar'>{{ 'pratiche.appuntamento' | translate }} </span>
                </p>
                <p *ngIf='praticePending.parse_data_calendar'><b
                  class='f-18'>{{praticePending.parse_data_calendar.slot}}</b>  {{praticePending.parse_data_calendar.letteralDaySelected}}
                </p>
              </ion-text>
            </ion-label>
          </ion-item>
          <ion-item *ngIf='!praticesPending.data.length'>
            <ion-label class='ion-text-wrap'>
              <h2>{{ 'pratiche.nessuna_pratica_operazioni' | translate }}</h2>
            </ion-label>
          </ion-item>
        </ion-item-group>
        <ion-infinite-scroll threshold='100px' (ionInfinite)='loadData($event)'>
          <ion-infinite-scroll-content
            loadingSpinner='bubbles'
            loadingText="{{ 'common.recupero_dati' | translate }}">
          </ion-infinite-scroll-content>
        </ion-infinite-scroll>
      </ion-list>
      <ion-grid class='ion-no-padding'>
        <ion-row>
          <ion-col size='12'>
            <div *ngIf='!pratices' class='row'>
              <loading-text-card></loading-text-card>
            </div>
          </ion-col>
        </ion-row>
      </ion-grid>
    </div>
    <div *ngSwitchCase="'all'">
      <ion-list lines='full' class='ion-padding-horizontal ion-padding-top' *ngIf='pratices'>
        <ion-item-group>
          <ion-item
            detail='true'
            *ngFor='let pratice of pratices.data'
            (click)="openDetails('/pratice/'+pratice.id,pratice)">
            <ion-label class='ion-text-wrap mt-2'>
              <ion-text>
                <p style='position: absolute; right: 10px; top: 0'>
                  {{ 'common.del' | translate }} <b>{{pratice.created_at | date:'dd/LL' }}</b>
                </p>
                <span *ngIf='!pratice.service_group_name'>--</span>
                <h3 *ngIf='pratice.service_group_name' class='pt-1'>
                  {{pratice.service_group_name}}
                </h3>
                <h2 class='ion-padding-vertical'>{{pratice.service_name}}</h2>
                <p>{{ 'pratiche.stato_della_pratica' | translate }} <br>
                  <ion-badge><b> {{pratice.status | statusName }}</b>
                    <span *ngIf='pratice.meetings.length && pratice.status == 2000'> <b> - {{ 'pratiche.in_attesa_di_approvazione' | translate }}</b></span>
                  </ion-badge>
                </p>
                <br>
                <p *ngIf='pratice.data.calendar'>
                  <span *ngIf='pratice.parse_data_calendar'>{{ 'pratiche.appuntamento' | translate }} </span>
                </p>
                <p *ngIf='pratice.parse_data_calendar'><b
                  class='f-18'>{{pratice.parse_data_calendar.slot}}</b>  {{pratice.parse_data_calendar.letteralDaySelected}}
                </p>
              </ion-text>
            </ion-label>
          </ion-item>
          <ion-item *ngIf='!pratices.data.length'>
            <ion-label class='ion-text-wrap'>
              <h2>{{ 'pratiche.title' | translate }}</h2>
            </ion-label>
          </ion-item>
        </ion-item-group>
        <ion-infinite-scroll threshold='100px' (ionInfinite)='loadData($event)'>
          <ion-infinite-scroll-content
            loadingSpinner='bubbles'
            loadingText="{{ 'common.recupero_dati' | translate }}">
          </ion-infinite-scroll-content>
        </ion-infinite-scroll>
      </ion-list>
        <ion-grid class='ion-no-padding'>
          <ion-row>
            <ion-col size='12'>
              <div *ngIf='!pratices' class='row'>
                <loading-text-card></loading-text-card>
              </div>
            </ion-col>
          </ion-row>
        </ion-grid>
    </div>
  </div>
</ion-content>
